import geopandas as gpd
from shapely.geometry import Polygon, MultiPolygon
import json
from server.map_handler.add_lake import write_json_to_file


# Writes contents of a map_handler json file to the response
def fetch_divided_map(self, file_name):
    self.send_response(200)
    self.send_header("Content-type", "application/json")
    self.end_headers()

    # Extract contents from JSON file
    with open("server/map_handler/lake_relations/" + file_name + "_div.json", "r") as file:
        data = file.read()

    # Write contents of the JSON file to response
    self.wfile.write(data.encode('utf-8'))


# Returns a list of [(sub_div_id, sub_div_center)]
def get_ids_and_centers(file_name):  # NB buggy
    # Expected format: [(id, [x,y]), (id, [x,y])]
    geo_data = gpd.read_file("server/map_handler/lake_relations/" + file_name + "_div.json")
    subdivisions = []
    for index, row in geo_data.iterrows():
        sub_div_id = row['sub_div_id']
        sub_div_center = row['sub_div_center']

        print("sub_div_id: ", sub_div_id)

        subdivision = {
            'sub_div_id': sub_div_id,
            'sub_div_center': sub_div_center
        }
        subdivisions.append(subdivision)
    return subdivisions